> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employee Deduction Template

> Create an employee deduction template, such as a 401(k), HSA, garnishment, or miscellaneous deduction.

Creates a new deduction template for an employee. Returns the created [Employee Deduction Template](/reference/employee-deduction-templates/get-employee-deduction-template) object.


## OpenAPI

````yaml openapi/zeal-api.json post /employee-deduction-templates
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employee-deduction-templates:
    post:
      description: Creates a new deduction template for an employee.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyID:
                  type: string
                  description: ID of the company related to this template
                employeeID:
                  type: string
                  description: ID of the employee related to this template
                custom_name:
                  type: string
                  description: Human-readable name for the deduction template
                deduction_type:
                  type: string
                  description: Type of deduction
                  enum:
                    - 401k
                    - 403b
                    - dependent_care_benefit
                    - employer_sponsored_health_coverage
                    - garnishment
                    - hsa
                    - miscellaneous
                    - roth_401k
                    - roth_ira
                    - section_125
                    - simple_ira
                effective_start_date:
                  type: string
                  description: Date the template should start becoming effective
                  format: date
                effective_end_date:
                  type: string
                  description: Date the template should become ineffective
                  format: date
                employee_contribution_amount:
                  type: number
                  description: >-
                    Default dollar amount contributed by the employee for
                    deductions
                employee_contribution_percentage:
                  type: number
                  description: >-
                    Default percentage of employee's pay contributed by the
                    employee for deductions
                employer_contribution_amount:
                  type: number
                  description: >-
                    Default dollar amount contributed by the employer for
                    deductions
                employer_contribution_percentage:
                  type: number
                  description: >-
                    Default percentage of employee's pay contributed by the
                    employer for deductions
                hsa_type:
                  type: string
                  description: Contribution limit type for the template (HSA only)
                  enum:
                    - family
                    - individual
                agency_address:
                  type: string
                  description: Name of the agency for a court order (Garnishment only)
                agency_name:
                  type: string
                  description: Address of the agency for a court order (Garnishment only)
                case_id:
                  type: string
                  description: Case ID of a court order (Garnishment only)
                order_number:
                  type: string
                  description: Order number of a court order (Garnishment only)
                external_id:
                  type: string
                  description: ID in an external system related to the template
              required:
                - companyID
                - employeeID
                - custom_name
                - deduction_type
                - effective_start_date
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    description: The created Employee Deduction Template object
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````